Name: jakarta-commons-launcher
Version: 1.1
Release: alt0.M24.1

Summary: Jakarta Commons Launcher
License: Apache Software License
Group: Development/Java
Packager: Vladimir Lettiev <crux@altlinux.ru>

URL: http://akarta.apache.org/commons/launcher
Source0: commons-launcher-%{version}-src.tar.gz
Source1: jakarta-commons-launcher-build.properties

BuildPreReq: /proc
BuildPreReq: j2se1.4-sun-devel ant rpm-build-java
BuildPreReq: junit

BuildArch: noarch

Requires: java-common >= 1.2 j2se >= 1.4.2

%description
The Launcher Component is designed to be a cross platform Java
application launcher.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc for %name

%prep
%setup -qn commons-launcher
%__cp %SOURCE1 build.properties

%build
%__ant jar javadoc

%install
%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_docdir/%name-%version
%__mkdir_p %buildroot%_javadocdir/%name

%__mv dist/bin/commons-launcher.jar %buildroot%_javadir/%name.jar
%__mv dist/docs/api %buildroot%_javadocdir/%name
%__mv *.txt %buildroot%_docdir/%name-%version

%files
%_javadir/*.jar
%_docdir/%name-%version

%files javadoc
%_javadocdir/%name

%changelog
* Thu Apr 21 2005 Alexey Borovskoy <alb@altlinux.ru> 1.1-alt0.M24.1
- Backport to Master 2.4
- New version: 1.1

* Mon Mar 21 2005 Vladimir Lettiev <crux@altlinux.ru> 1.1-alt3
- rpm-build-java macroces
- cvs 20050321

* Sun Oct 24 2004 Vladimir Lettiev <crux@altlinux.ru> 1.1-alt2
- 1.1-dev (cvs 20041024)

* Sat Sep 11 2004 Vladimir Lettiev <crux@altlinux.ru> 1.1-alt1
- 1.1
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Fri Jan  9 2004 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:0.9-1jpp
- First build for JPackage

* Wed Dec 17 2003 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:0.9-0.2
- Fixed description
- Enabled javadocs

* Thu Dec  4 2003 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:0.9-0.1
- Rebuilt w/o javadocs

